Skip to main content
GET
/
cloud
/
reseller
/
v1
/
limits_request
List quota limit requests
curl --request GET \
  --url https://api.gcore.com/cloud/reseller/v1/limits_request \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/cloud/reseller/v1/limits_request"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/cloud/reseller/v1/limits_request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 1,
  "results": [
    {
      "client_id": 1,
      "created_at": "2019-07-26T13:25:03Z",
      "description": "Scale up mysql cluster",
      "id": 1,
      "requested_limits": {
        "global_limits": {
          "inference_cpu_millicore_count_limit": 0,
          "inference_gpu_a100_count_limit": 0,
          "inference_gpu_h100_count_limit": 0,
          "inference_gpu_l40s_count_limit": 0,
          "inference_instance_count_limit": 0,
          "inference_public_model_api_key_count_limit": 0,
          "keypair_count_limit": 100,
          "project_count_limit": 2
        },
        "regional_limits": [
          {
            "baremetal_basic_count_limit": 0,
            "baremetal_gpu_a100_count_limit": 0,
            "baremetal_gpu_count_limit": 0,
            "baremetal_gpu_h100_count_limit": 0,
            "baremetal_gpu_h200_count_limit": 0,
            "baremetal_gpu_l40s_count_limit": 0,
            "baremetal_hf_count_limit": 0,
            "baremetal_infrastructure_count_limit": 0,
            "baremetal_network_count_limit": 0,
            "baremetal_storage_count_limit": 0,
            "caas_container_count_limit": 0,
            "caas_cpu_count_limit": 0,
            "caas_gpu_count_limit": 0,
            "caas_ram_size_limit": 0,
            "cluster_count_limit": 0,
            "cpu_count_limit": 0,
            "dbaas_postgres_cluster_count_limit": 0,
            "external_ip_count_limit": 0,
            "faas_cpu_count_limit": 0,
            "faas_function_count_limit": 0,
            "faas_namespace_count_limit": 0,
            "faas_ram_size_limit": 0,
            "firewall_count_limit": 0,
            "floating_count_limit": 0,
            "gpu_count_limit": 0,
            "gpu_virtual_a100_count_limit": 0,
            "gpu_virtual_h100_count_limit": 0,
            "gpu_virtual_h200_count_limit": 0,
            "gpu_virtual_l40s_count_limit": 0,
            "image_count_limit": 0,
            "image_size_limit": 0,
            "ipu_count_limit": 0,
            "laas_topic_count_limit": 0,
            "loadbalancer_count_limit": 0,
            "network_count_limit": 0,
            "ram_limit": 0,
            "region_id": 1,
            "registry_count_limit": 0,
            "registry_storage_limit": 0,
            "router_count_limit": 0,
            "secret_count_limit": 0,
            "servergroup_count_limit": 0,
            "sfs_count_limit": 0,
            "sfs_size_limit": 0,
            "shared_vm_count_limit": 0,
            "snapshot_schedule_count_limit": 0,
            "subnet_count_limit": 0,
            "vm_count_limit": 0,
            "volume_count_limit": 0,
            "volume_size_limit": 0,
            "volume_snapshots_count_limit": 0,
            "volume_snapshots_size_limit": 0
          }
        ]
      },
      "status": "in progress",
      "updated_at": "2019-07-26T13:25:03Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

client_id
integer

Filter requests by specific client ID. Omit to see requests from all your reseller clients.

Example:

123

limit
integer
default:1000

Limit the number of returned items

Required range: x <= 1000
Example:

1000

offset
integer
default:0

Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

status
enum<string>[]

List of limit requests statuses for filtering

Available options:
done,
in progress,
rejected
Example:
["done", "in progress"]

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
ResellerLimitsRequestSerializer · object[]
required

Objects